edu.isi.pegasus.common.util

## Interface StreamGobblerCallback

All Known Implementing Classes:
  CondorVersion.CondorVersionCallback, DefaultStreamGobblerCallback, OSGMM.ListCallback, PDAX2MDAG.GrepCallback

    public interface StreamGobblerCallback

This interface defines the callback calls that are called from within the StreamGobbler while working on a stream.

Version:
  $Revision$
Author:
  Karan Vahi

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `work(java.lang.String line)` Callback whenever a line is read from the stream by the StreamGobbler.

### Method Detail

#### work

    void work(java.lang.String line)

Callback whenever a line is read from the stream by the StreamGobbler.

Parameters:
  `line` - the line that is read.